## ros-crystal-launch 0.7.4

=== debian/changelog ===
ros-crystal-launch (0.7.4-0bionic) bionic; urgency=high

  * Fixed a bug with the introspector which occurred when the user set the environment in an ExecuteProcess. (#222 <https://github.com/ros2/launch/issues/222>)
  * Contributors: Daniel Stonier, Shane Loretz, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 02 Apr 2019 07:00:00 -0000

ros-crystal-launch (0.7.3-0bionic) bionic; urgency=high

  * Fixed deprecation warning related to collections.abc (#158 <https://github.com/ros2/launch/pull/158>)
  * Contributors: William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 13 Dec 2018 08:00:00 -0000

ros-crystal-launch (0.7.2-0bionic) bionic; urgency=high

  * Changed the signit handler os it executes the shutdown event synchronously (#156 <https://github.com/ros2/launch/issues/156>)
  * Contributors: Jonathan Chapple, Steven! Ragnarök, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Dec 2018 08:00:00 -0000

ros-crystal-launch (0.7.1-0bionic) bionic; urgency=high

  * Fixed setup.py versions (#155 <https://github.com/ros2/launch/issues/155>)
  * Contributors: Steven! Ragnarök
  * Merge pull request #158 <https://github.com/ros2/launch/issues/158> from ros2/fix_deprecation_warning
    fix deprecation warning related to collections.abc
  * fix deprecation warning related to collections.abc
    Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * 0.7.2
  * changelogs
    Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * signit executes the shutdown event synchronously (#156 <https://github.com/ros2/launch/issues/156>)
    * signit executes the shutdown event synchronously
    * line length
    * avoid split parameter indention
  * 0.7.1
  * changelogs
    Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Fix setup py versions (#155 <https://github.com/ros2/launch/issues/155>)
    * Make setup.py version agree with package.xml version.
    Drive-by cleanup while I'm doing other things.
    * Missed it by that much.
    Between creating this branch and submitting it a release happened.
  * Contributors: Jonathan Chapple, Steven! Ragnarök, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Nov 2018 08:00:00 -0000

ros-crystal-launch (0.7.0-0bionic) bionic; urgency=high

  * Fixed a bug to ensure that shutdown event is handled correctly (#154 <https://github.com/ros2/launch/issues/154>)
    * There was a potential race condition in between when the shutdown event is emitted and the rest of the shutdown handling code.
    * This introduces an additional await to ensure that the event is emitted before proceeding.
  * Fixed example to always use shell to avoid inconsistency of time being a shell command or executable (#150 <https://github.com/ros2/launch/issues/150>)
  * Added tests for class_tools module and fix is_a_subclass() (#142 <https://github.com/ros2/launch/issues/142>)
  * Added tests for the utilities module (#143 <https://github.com/ros2/launch/issues/143>)
  * Added 'handle_once' property for unregistering an EventHandler after one event (#141 <https://github.com/ros2/launch/issues/141>)
  * Added UnregisterEventHandler action (#110 <https://github.com/ros2/launch/issues/110>)
  * Changed LaunchService so that it returns ``1`` on caught exceptions from within launch (#136 <https://github.com/ros2/launch/issues/136>)
  * Added ability to define and pass launch arguments to launch files (#123 <https://github.com/ros2/launch/issues/123>)
    * Added self descriptions for substitutions
    * Added tracebacks back to the output by default
    * Added new actions for declaring launch arguments
    * Added new method on LaunchDescription which gets all declared arguments within
    * Added ability to pass arguments when including a launch description
    * Added description for local variables used in Node action
    * Added ability to show and pass launch arguments on the command line
    * Added an accessor for the Condition of an Action
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Added UnsetLaunchConfiguration action and tests (#134 <https://github.com/ros2/launch/issues/134>)
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Added GroupAction for conditionally including other actions and scoping (#133 <https://github.com/ros2/launch/issues/133>)
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Added optional name argument to ExecuteProcess (#129 <https://github.com/ros2/launch/issues/129>)
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Added a new pair of actions for pushing and popping launch configurations (#128 <https://github.com/ros2/launch/issues/128>)
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Contributors: Dirk Thomas, Jacob Perron, Michael Carroll, William Woodall, dhood

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Nov 2018 08:00:00 -0000

ros-crystal-launch (0.6.0-0bionic) bionic; urgency=high

  * Added a way to include other Python launch files (#122 <https://github.com/ros2/launch/issues/122>)
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Implemented the concept of Action conditions (#121 <https://github.com/ros2/launch/issues/121>)
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Added IncludeLaunchDescription action (#120 <https://github.com/ros2/launch/issues/120>)
    * fixes #115 <https://github.com/ros2/launch/issues/115>
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Contributors: William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 Aug 2018 07:00:00 -0000

ros-crystal-launch (0.5.2-0bionic) bionic; urgency=high

  * Made a change to avoid reentrancy of signal handlers (#99 <https://github.com/ros2/launch/issues/99>)

